Bug 747647 - Change rhev-hypervisor RPM to be rhev-hypervisor5 to allow coinstallations with rhev-hypervisor6
Summary: Change rhev-hypervisor RPM to be rhev-hypervisor5 to allow coinstallations wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhev-hypervisor5
Version: 5.8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 740823
TreeView+ depends on / blocked
 
Reported: 2011-10-20 15:36 UTC by Perry Myers
Modified: 2016-04-26 15:32 UTC (History)
20 users (show)

Fixed In Version: rhev-hypervisor5-5.8-20111021.1.el5
Doc Type: Enhancement
Doc Text:
The rhev-hypervisor package had been renamed rhev-hypervisor5. This allows users to have multiple major versions of the Hypervisor packages installed side-by-side.
Clone Of: 747646
Environment:
Last Closed: 2012-02-21 05:04:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC
Red Hat Bugzilla 747646 None None None Never

Internal Links: 747646

Description Perry Myers 2011-10-20 15:36:24 UTC
+++ This bug was initially created as a clone of Bug #747646 +++

+++ This bug was initially created as a clone of Bug #740823 +++

Description of problem:
The channel setup in rhn for RHEV 3.0 has all the rhev-m packages under the RHEL6 base channel.  The rhev-hypervisor packages, however, are still under the RHEV base channel and thus can't be installed on the RHEV-M machine

--- Additional comment from pmyers@redhat.com on 2011-10-20 11:35:05 EDT ---

This bug is to track changing the rhev-hypervisor SRPM spec file so that the resulting subpackage name is:

rhev-hypervisor6
instead of
rhev-hypervisor

This will allow RHEV 3.0 users to independently install and update both RHEVH 5.x and RHEVH 6.x on the same RHEVM server machine.

This bug is a dependency of bug # 740823 which is to change the channels to support the above functionality

Comment 1 Perry Myers 2011-10-20 15:37:42 UTC
This bug is to track changing the rhev-hypervisor SRPM spec file so that the
resulting subpackage name is:

rhev-hypervisor5
instead of
rhev-hypervisor

This will allow RHEV 3.0 users to independently install and update both RHEVH
5.x and RHEVH 6.x on the same RHEVM server machine.

This bug is a dependency of bug # 740823 which is to change the channels to
support the above functionality

Comment 5 Mike Burns 2011-10-21 20:43:43 UTC
Changes made:

RPM names are rhev-hypervisor5 and rhev-hypervisor5-tools

installing rhev-hypervisor5 should not pull -tools, but installing -tools should pull rhev-hypervisor5.

Only 1 requirement for rhev-hypervisor5 -- rpmdevtools which is a %post requirement.

Layout of the installation should be the same in /usr/share/rhev-hypervisor

-tools package should require anaconda-runtime, parted, dosfstools
   anaconda-runtime is for isomd5sum

rhev-hypervisor5 should obsolete all older rhev-hypervisor-5* packages

Should still be installable side-by-side

Comment 7 Mike Burns 2011-10-27 14:14:16 UTC
Need to make an update similar to bug 748005 comment 9.  

Currently we create /etc/rhev-hypervisor5-release and not /etc/rhev-hypervisor-release

Comment 8 Mike Burns 2011-10-27 14:20:01 UTC
Pushed equivalent change to Makefile for rhev-hypervisor5

Comment 11 Mike Burns 2012-01-13 00:08:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Rename the rhev-hypervisor package to rhev-hypervisor5 to allow side-by-side installations with rhev-hypervisor6 packages.

Comment 12 Stephen Gordon 2012-02-10 15:06:59 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Rename the rhev-hypervisor package to rhev-hypervisor5 to allow side-by-side installations with rhev-hypervisor6 packages.+The rhev-hypervisor package had been renamed rhev-hypervisor5. This allows users to have multiple major versions of the Hypervisor packages installed side-by-side.

Comment 13 errata-xmlrpc 2012-02-21 05:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0168.html


Note You need to log in before you can comment on or make changes to this bug.